Package x2go :: Package backends :: Package profiles :: Module _httpsbroker :: Class X2GoSessionProfilesHTTPSBROKER

[frames] | no frames]

# Class X2GoSessionProfilesHTTPSBROKER

source code

              object --+
                       |
    inifiles.X2GoIniFile --+
                           |
                          X2GoSessionProfilesHTTPSBROKER

Instance Methods

__init__(self, session_profile_defaults=None, logger=None, loglevel=56) Retrieve X2Go session profiles from a HTTPS session broker. | source code

Inherited from `inifiles.X2GoIniFile`: `__call__`, `__repr__`, `get`, `get_type`, `get_value`, `load`, `update_value`, `write` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| defaultSessionProfile = ``{``'``applications``'``:` `[``'``WWWBROWSER``'``,` `'``MAILC``...``
Inherited from `inifiles.X2GoIniFile`: `defaultValues`, `user_config_file`, `write_user_config`

Properties
Inherited from `inifiles.X2GoIniFile`: `printable_config_file` Inherited from `object`: `__class__`

Method Details

### __init__(self, session_profile_defaults=None, logger=None, loglevel=56)
(Constructor)

source code

Retrieve X2Go session profiles from a HTTPS session broker.

Parameters:
  - `session_profile_defaults` (`dict`) - a default session profile
  - `logger` (X2GoLogger instance) - you can pass an X2GoLogger object to the X2GoSessionProfilesHTTPSBROKER constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

Class Variable Details

### defaultSessionProfile

Value:

      {'applications': ['WWWBROWSER', 'MAILCLIENT', 'OFFICE', 'TERMINAL'],
       'autoconnect': False,
       'autologin': True,
       'autostart': False,
       'command': 'TERMINAL',
       'defsndport': True,
       'directrdp': False,
       'directrdpsettings': '',
      ...